Read Read

If you receive an error message, or a message stating “Unable to complete request” when attempting to login to online or mobile banking, you may be using an unsupported browser or device version. For your security, only the most recent versions will be supported.

To maintain the latest security features and software protections for online banking, please ensure that your browser and device meet the below requirements.

Online Banking Software Requirements

PC

Windows 7 with:

  • Microsoft Internet Explorer 11 or higher
  • Microsoft Edge
  • Chrome version 53 or higher
  • Firefox version 53 or higher

Mac

OS X 10.12 or higher with:

  • Safari 9 or 10

 

Mobile App Software Requirements

Android

  • Android 4.1 or higher with AST Andriod App version 4.1.43 or higher
  • Android 5.0 or higher with AST Android App version 3.11 or higher

Apple

  • iOS 6.0 or higher with AST iOS App version 3.11 or higher

 

If you are still unable to connect after verifying the minimum requirements, please reach out to us via chat, or call 800.347.9222.